Codes-barres

GET https://www.crowqr.com/api/barcodes/
curl --request GET \
--url 'https://www.crowqr.com/api/barcodes/' \
--header 'Authorization: Bearer {api_key}' \
Paramètres Détails Description
search Optionnel Chaîne (String) La chaîne de recherche.
search_by Optionnel Chaîne (String) Dans quel champ effectuez-vous la recherche. Les valeurs autorisées sont : name , value.
type Optionnel Chaîne (String) Valeurs autorisées : C32 , C39 , C39+ , C39E , C39E+ , C93 , S25 , S25+ , I25 , I25+ , ITF14 , C128 , C128A , C128B , C128C , EAN2 , EAN5 , EAN8 , EAN13 , UPCA , UPCE , MSI , MSI+ , POSTNET , PLANET , TELEPENALPHA , TELEPENNUMERIC , RMS4CC , KIX , IMB , CODABAR , CODE11 , PHARMA , PHARMA2T
order_by Optionnel Chaîne (String) Dans quel champ ordonner les résultats. Les valeurs autorisées sont : barcode_id , datetime , last_datetime , name , type.
order_type Optionnel Chaîne (String) L'ordonnancement des résultats. Les valeurs autorisées sont : ASC pour un ordonnancement croissant, et DESC pour un ordonnancement décroissant.
page Optionnel Entier (Integer) Le numéro de page dont vous voulez les résultats. Par défaut 1.
results_per_page Optionnel Entier (Integer) Combien de résultats vous voulez par page. Les valeurs autorisées sont : 10 , 25 , 50 , 100 , 250 , 500 , 1000. Par défaut 25.
{
    "data": [
        {
            "id": 1,
            "type": "C32",
            "name": "Example name",
            "value": "123456",
            "barcode": "https://www.crowqr.com/uploads/barcode/example.svg",
            "settings": {
                "foreground_color": "#000000",
                "width_scale": 2,
                "height": 50,
            },
            "embedded_data": "123456",
            "last_datetime": null,
            "datetime": "2026-04-05 16:47:14",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://www.crowqr.com/api/barcodes?page=1",
        "last": "https://www.crowqr.com/api/barcodes?page=1",
        "next": null,
        "prev": null,
        "self": "https://www.crowqr.com/api/barcodes?page=1"
    }
}
GET https://www.crowqr.com/api/barcodes/{barcode_id}
curl --request GET \
--url 'https://www.crowqr.com/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "type": "C32",
        "name": "Example name",
        "value": "123456",
        "barcode": "https://www.crowqr.com/uploads/barcode/example.svg",
        "settings": {
            "foreground_color": "#000000",
            "width_scale": 2,
            "height": 50,
        },
        "embedded_data": "123456",
        "last_datetime": null,
        "datetime": "2026-04-05 16:47:14",
    }
}
POST https://www.crowqr.com/api/barcodes
Paramètres Détails Description
project_id Optionnel Entier (Integer) -
name Requis Chaîne (String) -
type Requis Chaîne (String) Valeurs autorisées : C32, C39, C39+, C39E, C39E+, C93, S25, S25+, I25, I25+, ITF14, C128, C128A, C128B, C128C, EAN2, EAN5, EAN8, EAN13, UPCA, UPCE, MSI, MSI+, POSTNET, PLANET, TELEPENALPHA, TELEPENNUMERIC, RMS4CC, KIX, IMB, CODABAR, CODE11, PHARMA, PHARMA2T
is_bulk Optionnel Booléen (Boolean)
value Requis Chaîne (String) -
display_text Optionnel Booléen (Boolean) -
foreground_color Optionnel Chaîne (String) -
background_color Optionnel Chaîne (String) -
width_scale Optionnel Entier (Integer) 1-10
height Optionnel Entier (Integer) 30-1000
Paramètres Détails Description
curl --request POST \
--url 'https://www.crowqr.com/api/barcodes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
    "data": {
        "id": 1
    }
}
POST https://www.crowqr.com/api/barcodes/{barcode_id}
Paramètres Détails Description
project_id Optionnel Chaîne (String) -
name Optionnel Chaîne (String) -
type Optionnel Chaîne (String) Valeurs autorisées : C32, C39, C39+, C39E, C39E+, C93, S25, S25+, I25, I25+, ITF14, C128, C128A, C128B, C128C, EAN2, EAN5, EAN8, EAN13, UPCA, UPCE, MSI, MSI+, POSTNET, PLANET, TELEPENALPHA, TELEPENNUMERIC, RMS4CC, KIX, IMB, CODABAR, CODE11, PHARMA, PHARMA2T
value Requis Chaîne (String) -
display_text Optionnel Booléen (Boolean) -
foreground_color Optionnel Chaîne (String) -
background_color Optionnel Chaîne (String) -
width_scale Optionnel Entier (Integer) 1-10
height Optionnel Entier (Integer) 30-1000
curl --request POST \
--url 'https://www.crowqr.com/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
    "data": {
        "id": 1
    }
}
DELETE https://www.crowqr.com/api/barcodes/{barcode_id}
curl --request DELETE \
--url 'https://www.crowqr.com/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \